﻿/* MovinGifCreator エントリポイント
 * 
 * COPYLEFT (C') CharMY 2014 Yanagihara Masami
 * 
 * 
 * This program is free software: you can redistribute it and/or modify   *
 * it under the terms of the GNU General Public License as published by   *
 * the Free Software Foundation, either version 3 of the License, or      *
 * (at your option) any later version.                                    *
 *                                                                        *
 * This program is distributed in the hope that it will be useful,        *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 * GNU General Public License for more details.                           *
 *                                                                        *
 * You should have received a copy of the GNU General Public License      *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.  *
 * 
 * 
 */

using System;
using System.Windows.Forms;
using CharMY.Windows.Forms;
using CharMY.IO;

namespace CharMY.MovinGif
{
    internal static class _CharMYMovinGifCreator
    {
        [STAThread]
        private static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            WindowForms.ShowSplashWindow();

            Assert.Do(_ => Consoles.Initialize());
            Application.Run(WindowForms
                .TabPage(pageInfo => new MovinGifMenuSet(pageInfo), "Movin'Gif Creator")
            );
        }
    }
}
